/*****************************************************************************
* Copyright (c) 1990-98 Digi International Inc., All Rights Reserved
* 
* This software contains proprietary and confidential information of Digi
* International Inc.  By accepting transfer of this copy, Recipient agrees
* to retain this software in confidence, to prevent disclosure to others,
* and to make no use of this software other than that for which it was
* delivered.  This is an unpublished copyrighted work of Digi International
* Inc.  Except as permitted by federal law, 17 USC 117, copying is strictly
* prohibited.
* 
* Restricted Rights Legend
*
* Use, duplication, or disclosure by the Government is subject to
* restrictions set forth in sub-paragraph (c)(1)(ii) of The Rights in
* Technical Data and Computer Software clause at DFARS 252.227-7031 or
* subparagraphs (c)(1) and (2) of the Commercial Computer Software -
* Restricted Rights at 48 CFR 52.227-19, as applicable.
*
* Digi International Inc. 11001 Bren Road East, Minnetonka, MN 55343
*
*****************************************************************************/


#if !defined(AFX_PAGEMSN_H__4E77AE73_47EF_11D2_BB2C_00805F9E3135__INCLUDED_)
#define AFX_PAGEMSN_H__4E77AE73_47EF_11D2_BB2C_00805F9E3135__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PageMSN.h : header file
//

#include "dxbtypes.h"
#include "mgmthlc.h"

/////////////////////////////////////////////////////////////////////////////
// CPageMSN dialog

class CPageMSN : public CConfigWizPage
{
	DECLARE_DYNAMIC(CPageMSN)

// Construction
public:
	~CPageMSN();

   BOOL UpdateData(BOOL bSaveAndValidate = TRUE);

   BOOL GetMSN(bri_directory_t * const pDirs, int const cMaxDirs);
   BOOL SetMSN(bri_directory_t const * const pDirs, int const cMaxDirs);

// Dialog Data
	//{{AFX_DATA(CPageMSN)
	// enum { IDD = IDD_PropPageMSN };
	CButton	m_ctrlEditButton;
	CListCtrl	m_ctrlMSNList;
	CButton	m_ctrlRemoveButton;
	CButton	m_ctrlAddButton;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPageMSN)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CPageMSN)
	afx_msg void OnMSNAddButton();
	afx_msg void OnMSNRemoveButton();
	virtual BOOL OnInitDialog();
	afx_msg void OnEndLabelEditMSNList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBeginLabelEditMSNList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnItemChangedMSNList(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnMSNEditButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	CPageMSN(UINT const nIDTemplate);

private:
   int GetCurSel(void);

   BOOL m_fAdding;

   void UpdateAddButton(void);
   void UpdateEditButton(void);
   void UpdateRemoveButton(void);

   CStringArray m_astrMSN;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PAGEMSN_H__4E77AE73_47EF_11D2_BB2C_00805F9E3135__INCLUDED_)
